petsc-3.4.2 2013-07-02

# DMSetVecType

Sets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMSetVecType(DM da,VecType ctype)

Logically Collective on DMDA

### Input Parameter

| da | - initial distributed array
| ctype | - the vector type, currently either VECSTANDARD or VECCUSP

### Options Database

| -dm_vec_type ctype | -

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDestroy(), DMDA, DMDAInterpolationType, VecType

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages